package pl.spjava.demospringboot.dto;

import jakarta.validation.constraints.*;
import lombok.*;

import java.util.UUID;

@AllArgsConstructor
@NoArgsConstructor
@ToString
public class PersonUpdateCmdDTO {

    @Email
    @Getter @Setter
    @NotBlank @NotEmpty
    private String email;

    @Getter @Setter
    private Long age;

    @NotNull
    @Min(0)
    @Getter @Setter
    private Long version;

}
