package pl.spjava.demospringboot.security;

import jakarta.validation.constraints.*;
import lombok.*;

@AllArgsConstructor
@NoArgsConstructor
@ToString
public class LoginDTO {

    @NonNull
    @Getter @Setter
    @NotNull
    @NotBlank @NotEmpty
    private String login;

    @NonNull
    @Getter @Setter
    @ToString.Exclude
    @NotNull
    @NotBlank @NotEmpty
    private String password;

}
